Create Applicant Appointment: Yardi REST
Betahttps://api.propexo.com/v1/events/appointments/applicants/yardi_rest/Create an appointment for an applicant in Yardi. Yardi interprets appointment date and time as being in the timezone of the property.
Those can be read in our /timezones endpoint.
If the property doesn't have a specific timezone configured, there will be an integration global timezone record that should be used in that case.
The time for this record is based on the Yardi server's configured timezone.
In the case that the Yardi server time is different than the current time, we provide the server_time_error_seconds field on the /timezones endpoint as well.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportYardiGuest |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
Notes associated with the event
Possible values: <= 256 characters
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
Notes associated with the event
Possible values: <= 256 characters
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"applicant_id": "string",
"unit_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"unit_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"notes": "string"
}
}